<?PHP
// Par : Ahmed ZERZIH
//Reoleweb
//
//Cette classe permet de faire la gestion de la connexion et la deconnection d'un usager sur le site 
//et la vérification des droits d'accès a une page. 
//Cette classe utilise la classe views\LoginHtml.php pour l'affichage Html

namespace Classe;
// identifie les classes utilisé 
use views\VisitorHtml;
use Classe\Visitors;
//cette classes permet de retourvé le chemin du site. est utiliser dans la fonction getPath();
use DirectoryIterator;

class LoginVisiteur
{
    //Variable public
    public bool $connect = false;
    public string $page;

    //Funciton de construction 
    //Cette fonction valide qu'elle action est demandé et l'exécute 
    //$conn : object de connexion a la bd
    //$v_page : texte contenant l'action souhaité
    public function __construct(private $conn, string $v_page = "")
    {
        $page = $v_page;
        switch ($v_page) {
                //Redirige vers la fenetre de login
            case "hv":
                $this->afficheHomeVisiteur($conn);
                break;
            default:
                $this->afficheHomeVisiteur($conn);
        }
    }
    //Retrouve le nom du client 
    static private function getClientHostname()
    {
        $hostname = strtoupper(gethostbyaddr($_SERVER['REMOTE_ADDR']));
        $hostname = str_replace(".drht.LOCAL", "", $hostname);
        $hostname = str_replace(".drht.RTSS.QC.CA", "", $hostname);
        return $hostname;
    }
    private function afficheHomeVisiteur($conn)
    {
        $visiteurs = new Visiteurs();
        $visiteurs->afficheHomeVisiteur($conn);
    }
}
